function BJCruiseControl(){}

BJCruiseControl.prototype.initialize = function(){
	
    window.cruiseSpeed = 0;
	window.cruiseEnabled = false;
    window.speedMs = 0;
    this.contentContainer = $('<div class="one"></div>').appendTo(this.rootElement);
    $('<input type = "text" id = "cruiseSpeed">').appendTo(this.rootElement);
	$('<button>Set</button>').appendTo(this.rootElement).click(function(){
		window.cruiseSpeed = document.getElementById("cruiseSpeed").value;
    });
	$('<button>Set As Current Speed</button>').appendTo(this.rootElement).click(function(){
		window.cruiseSpeed = speedMs;
    });
	$('<button>Toggle</button>').appendTo(this.rootElement).click(function(){
		window.cruiseEnabled ^= true;
    });
    $('<style>b.one {border:solid;border-color:green;}</style>').appendTo(this.rootElement);
};


BJCruiseControl.prototype.update = function(streams){
	
    window.speedMs = Math.round(streams.electrics.wheelspeed*2.236);
	var str = '<b class="one">Cruise Control App</b><br>Enabled: '+window.cruiseEnabled+'<br>Cruise Speed is: '+window.cruiseSpeed+'<br><b>Speed is ' + speedMs + " MPH</b>";
	if(window.cruiseEnabled) {
		var maxThrottle = (window.cruiseSpeed - speedMs)/5;
		var maxBrake = (speedMs - window.cruiseSpeed)/5;
		beamng.sendActiveObjectLua("input.event('axisy0', "+maxThrottle+", 2)");
		beamng.sendActiveObjectLua("input.event('axisy1', "+maxBrake+", 2)");
	}
	
	this.contentContainer.html(str);
};
