function BJCrashLights(){}

BJCrashLights.prototype.initialize = function(){
    this.contentContainer = $('<div></div>').appendTo(this.rootElement);
	$('<button onclick = "window.autoBlink ^= true;">Toggle Auto Blinkers</button>').appendTo(this.rootElement);
	window.blink = "none";
	window.blinkOn = false;
	window.autoBlink = false;
	window.maxRange = 30;
    $('<style>b.one {border:solid;border-color:green;}</style>').appendTo(this.rootElement);
	$('<input type = "text" id = "inputRange">').appendTo(this.rootElement);
    $('<button id = "setRange">Set Range</button>').appendTo(this.rootElement).click(function() {
	window.maxRange = document.getElementById("inputRange").value;
	});
};

BJCrashLights.prototype.update = function (streams) {
	var steer = streams.electrics.steering;
	
	var warncrash = Math.abs(streams.sensors.gx) + Math.abs(streams.sensors.gy);
	
	var str = "<b class='one'>Auto Blinker Mechanism</b><br><b>Steer Range:</b> "+steer+"<br><b>Enabled:</b> "+window.autoBlink+"<br><b>Set Range:</b> "+window.maxRange;
	this.contentContainer.html(str);
	
	if(steer > window.maxRange) {
		window.blink = "left";
	} else if(steer < -window.maxRange) {
		window.blink = "right";
	}
	if(window.autoBlink) {
	if(window.blink == "left" && window.blinkOn == false) {
		beamng.sendActiveObjectLua("electrics.toggle_left_signal()");
		window.blinkOn = true;
	}
	if(window.blink == "right" && window.blinkOn == false) {
		beamng.sendActiveObjectLua("electrics.toggle_right_signal()");
		window.blinkOn = true;
	}
	if(window.blink == "left" && steer == 0) {
		beamng.sendActiveObjectLua("electrics.toggle_left_signal()");
		window.blinkOn = false;
		window.blink = "off";
	}
	if(window.blink == "right" && steer == 0) {
		beamng.sendActiveObjectLua("electrics.toggle_right_signal()");
		window.blinkOn = false;
		window.blink = "off";
	}
	}

    if (warncrash > 260) {
		beamng.sendActiveObjectLua("electrics.toggle_warn_signal()");
		beamng.sendActiveObjectLua("drivetrain.stopEngine()");
		beamng.sendActiveObjectLua("drivetrain.canStart = false");
    }
	
};